Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - pycharm-eap

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: pycharm-eap 2:2017.1.0.171.2822.19-1

Git Clone URL: https://aur-dev.archlinux.org/pycharm-eap.git (read-only)
Package Base: pycharm-eap
Description: Powerful Python and Django IDE, Early Access Program (EAP) build. Professional edition.
Upstream URL: https://confluence.jetbrains.com/pages/viewpage.action?pageId=23004355
Keywords: development editor ide jetbrains python
Licenses: custom
Groups: development, jetbrains, IDE, editor
Provides: pycharm, pycharm-professional
Submitter: vlan
Maintainer: lots0logs
Last Packager: lots0logs
Votes: 22
Popularity: 1.079603
First Submitted: 2011-05-06 08:33
Last Updated: 2017-02-02 18:56

Latest Comments

1 2 3 4 5 6 ... Next › Last »

lots0logs commented on 2016-12-13 07:44

JetBrains can't seem to decide upon a versioning scheme for the toplevel directory inside the source tarball :face_with_rolling_eyes: Anyway, its fixed now. Cheers!

basvdwollenberg commented on 2016-12-13 06:20

Having the same issue here.

intgr commented on 2016-12-12 22:27

Is it just me or is the package broken?

==> Extracting sources...
-> Extracting pycharm-professional-163.9735.2.tar.gz with bsdtar
==> Entering fakeroot environment...
==> Starting package()...
cp: cannot stat '/usr/src/builds/pycharm-eap/src/pycharm-2016.3.1/*': No such file or directory
==> ERROR: A failure occurred in package().
Aborting...

lots0logs commented on 2016-03-11 22:20

@mattoufoutu: Yes, I am purposely using the bundled JDK as it includes optimizations made by Jetbrains for running their software.

mattoufoutu commented on 2016-03-11 21:27

are you using the version with bundled JDK on purpose? wouldn't it make more sense to rely on the system's one instead of potentially having the files twice on the filesystem?

intgr commented on 2015-12-09 13:04

For anyone having problems with the "403 Forbidden" error, see this issue reported upstream: https://youtrack.jetbrains.com/issue/PY-17910

intgr commented on 2015-11-19 09:53

Please change the "url" to https://confluence.jetbrains.com/display/PYH/JetBrains+PyCharm+Preview+%28EAP%29 , so it's easier to check what's the most recent EAP release.

EisenSheng commented on 2015-11-14 16:08

The pycharm-eap.desktop file is broken. It points to

/opt/pycharm-pro-eap/bin/pycharm.sh

but the package is installed under

/opt/pycharm-eap/bin/pycharm.sh

intgr commented on 2015-11-12 10:43

Download fails... It's trying to download pycharm-professional-5.1.tar.gz, because "pycharm-professional-${_pkgver/.0}.tar.gz" in sources=() replaces 5.0.1 to 5.1.

-> Downloading pycharm-professional-5.1.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 154 100 154 0 0 1502 0 --:--:-- --:--:-- --:--:-- 1509
curl: (22) The requested URL returned error: 403 Forbidden

EisenSheng commented on 2015-11-03 23:22

Would be nice if you could change the source url to be https instead of http.